package ch.usi.inf.sp.cfg;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;


public class Node {

    private final ArrayList<Edge> inEdges;
    private final ArrayList<Edge> outEdges;

    public Node() {
        inEdges = new ArrayList<Edge>();
        outEdges = new ArrayList<Edge>();
    }

    public void addInEdge(Edge edge) {
        inEdges.add(edge);
    }

    public void addOutEdge(Edge edge) {
        outEdges.add(edge);
    }

    public List<Edge> getInEdges() {
        return Collections.unmodifiableList(inEdges);
    }

    public List<Edge> getOutEdges() {
        return Collections.unmodifiableList(outEdges);
    }

}
