package ch.usi.inf.sp.cfg.builder;

import ch.usi.inf.sp.cfg.BasicBlock;
import ch.usi.inf.sp.cfg.ControlFlowEdge;
import org.objectweb.asm.tree.AbstractInsnNode;

import java.util.Map;
import java.util.Objects;

public record JumpSource(AbstractInsnNode instruction, String condition) {

    public BasicBlock block(Map<AbstractInsnNode, BasicBlock> insnToBlock) {
        return Objects.requireNonNull(insnToBlock.get(this.instruction));
    }

    public ControlFlowEdge edge() {
        return new ControlFlowEdge(this.condition);
    }
}
